Index: bsps/sparc/shared/amba/ahbstat.c
===================================================================
--- bsps/sparc/shared/amba/ahbstat.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/amba/ahbstat.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -9,5 +9,5 @@
  */
 
-#include <stdint.h>
+#include <inttypes.h>
 #include <string.h>
 #include <rtems.h>
@@ -178,6 +178,6 @@
 
 	if ((rc & 0x1) == 0) {
-		printk("\n### AHBSTAT: %s %s error of size %ld by master %ld"
-			" at 0x%08lx\n",
+		printk("\n### AHBSTAT: %s %s error of size %" PRId32
+			" by master %" PRId32 " at 0x%08" PRIx32 "\n",
 			status & AHBSTAT_STS_CE ? "single" : "non-correctable",
 			status & AHBSTAT_STS_HW ? "write" : "read",
Index: bsps/sparc/shared/net/greth.c
===================================================================
--- bsps/sparc/shared/net/greth.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/net/greth.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -328,5 +328,6 @@
 #ifdef GRETH_AUTONEGO_PRINT_TIME
     if ( sc->auto_neg ) {
-        printf("Autonegotiation Time: %ldms\n", sc->auto_neg_time.tv_sec * 1000 +
+        printf("Autonegotiation Time: %" PRIdMAX "ms\n",
+               (intmax_t)sc->auto_neg_time.tv_sec * 1000 +
                sc->auto_neg_time.tv_nsec / 1000000);
     }
Index: bsps/sparc/shared/pci/gr_701.c
===================================================================
--- bsps/sparc/shared/pci/gr_701.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_701.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -16,4 +16,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -345,6 +346,8 @@
 	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n\n\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
 	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
@@ -573,6 +576,8 @@
 	bar1_size = devinfo->resources[1].size;
 
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
 	printf(" IRQ:             %d\n", devinfo->irq);
 
Index: bsps/sparc/shared/pci/gr_cpci_gr740.c
===================================================================
--- bsps/sparc/shared/pci/gr_cpci_gr740.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_cpci_gr740.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -26,4 +26,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -483,5 +484,5 @@
 		devinfo->id.vendor, devinfo->id.device);
 	for (i = 0; i < 3; i++) {
-		printk(" PCI BAR[%d]: 0x%08lx - 0x%08lx\n",
+		printk(" PCI BAR[%d]: 0x%08" PRIx32 " - 0x%08" PRIx32 "\n",
 			i, devinfo->resources[i].address,
 			devinfo->resources[i].address +
@@ -738,6 +739,7 @@
 	bar0 = devinfo->resources[0].address;
 	bar0_size = devinfo->resources[0].size;
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" IRQ REGS:        0x%x\n", (unsigned int)priv->irq);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" IRQ REGS:        0x%" PRIxPTR "\n", (uintptr_t)priv->irq);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" PCI REVISION:    %d\n", devinfo->rev);
Index: bsps/sparc/shared/pci/gr_leon4_n2x.c
===================================================================
--- bsps/sparc/shared/pci/gr_leon4_n2x.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_leon4_n2x.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -25,4 +25,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -506,5 +507,5 @@
 		devinfo->id.vendor, devinfo->id.device);
 	for (i = 0; i < 3; i++) {
-		printk(" PCI BAR[%d]: 0x%08lx - 0x%08lx\n",
+		printk(" PCI BAR[%d]: 0x%08" PRIx32 " - 0x%08" PRIx32 "\n",
 			i, devinfo->resources[i].address,
 			devinfo->resources[i].address +
@@ -761,6 +762,7 @@
 	bar0 = devinfo->resources[0].address;
 	bar0_size = devinfo->resources[0].size;
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" IRQ REGS:        0x%x\n", (unsigned int)priv->irq);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" IRQ REGS:        0x%" PRIxPTR "\n", (uintptr_t)priv->irq);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" PCI REVISION:    %d\n", devinfo->rev);
Index: bsps/sparc/shared/pci/gr_rasta_adcdac.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_adcdac.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_rasta_adcdac.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -16,4 +16,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -410,6 +411,8 @@
 	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
 	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
@@ -652,7 +655,9 @@
 	bar1_size = devinfo->resources[1].size;
 
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
-	printf(" IRQ REGS:        0x%x\n", (unsigned int)priv->irq);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
+	printf(" IRQ REGS:        0x%" PRIxPTR "\n", (uintptr_t)priv->irq);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" PCI REVISION:    %d\n", devinfo->rev);
Index: bsps/sparc/shared/pci/gr_rasta_io.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_io.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_rasta_io.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -16,4 +16,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -589,6 +590,8 @@
 	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
 	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
@@ -849,7 +852,9 @@
 	bar1_size = devinfo->resources[1].size;
 
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
-	printf(" IRQ REGS:        0x%x\n", (unsigned int)priv->irq);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
+	printf(" IRQ REGS:        0x%" PRIxPTR "\n", (uintptr_t)priv->irq);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" PCI REVISION:    %d\n", devinfo->rev);
Index: bsps/sparc/shared/pci/gr_rasta_spw_router.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_spw_router.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_rasta_spw_router.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -14,4 +14,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -423,5 +424,6 @@
 	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printk(" PCI BAR[0]: 0x%08lx - 0x%08lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[0]: 0x%08" PRIx32 " - 0x%08" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
 	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
@@ -656,6 +658,7 @@
 	bar0 = devinfo->resources[0].address;
 	bar0_size = devinfo->resources[0].size;
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" IRQ REGS:        0x%x\n", (unsigned int)priv->irq);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" IRQ REGS:        0x%" PRIxPTR "\n", (uintptr_t)priv->irq);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" PCI REVISION:    %d\n", devinfo->rev);
Index: bsps/sparc/shared/pci/gr_rasta_tmtc.c
===================================================================
--- bsps/sparc/shared/pci/gr_rasta_tmtc.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_rasta_tmtc.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -16,4 +16,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -602,6 +603,8 @@
 	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printk(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printk(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
 	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
@@ -855,6 +858,8 @@
 	bar1_size = devinfo->resources[1].size;
 
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" PCI BAR[1]: 0x%lx - 0x%lx\n", bar1, bar1 + bar1_size - 1);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" PCI BAR[1]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar1, bar1 + bar1_size - 1);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" PCI REVISION:    %d\n", devinfo->rev);
Index: bsps/sparc/shared/pci/gr_tmtc_1553.c
===================================================================
--- bsps/sparc/shared/pci/gr_tmtc_1553.c	(revision 75e1009f1eb9e518a51c232ef7e90448c25ba3ac)
+++ bsps/sparc/shared/pci/gr_tmtc_1553.c	(revision 8f5abeab8a80821a0218c30dbaa2332ec72e8875)
@@ -16,4 +16,5 @@
  */
 
+#include <inttypes.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -327,5 +328,6 @@
 	printk(" PCI VENDOR: 0x%04x, DEVICE: 0x%04x\n",
 		devinfo->id.vendor, devinfo->id.device);
-	printk(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
+	printk(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
 	printk(" IRQ: %d\n\n\n", devinfo->irq);
 
@@ -557,6 +559,7 @@
 	bar0_size = devinfo->resources[0].size;
 
-	printf(" PCI BAR[0]: 0x%lx - 0x%lx\n", bar0, bar0 + bar0_size - 1);
-	printf(" IRQ REGS:        0x%x\n", (unsigned int)priv->irq);
+	printf(" PCI BAR[0]: 0x%" PRIx32 " - 0x%" PRIx32 "\n",
+		bar0, bar0 + bar0_size - 1);
+	printf(" IRQ REGS:        0x%" PRIxPTR "\n", (uintptr_t)priv->irq);
 	printf(" IRQ:             %d\n", devinfo->irq);
 	printf(" FREQ:            %d Hz\n", priv->version->amba_freq_hz);
